Novell is now a part of Micro Focus

Security update for PHP5

Knowledgebase

(Last modified: 25JUN2007)


solutions Security update for PHP5 SuSE Linux Maintenance Web (d7e991611687640b021d8eb8774f15e7)

Applies to

Package: php5
php5-devel
php5-pear
apache2-mod_php5
php5-fastcgi
php5-bcmath
php5-bz2
php5-calendar
php5-ctype
php5-curl
php5-dba
php5-dbase
php5-dom
php5-exif
php5-filepro
php5-ftp
php5-gd
php5-gettext
php5-gmp
php5-iconv
php5-imap
php5-ldap
php5-mbstring
php5-mcrypt
php5-mhash
php5-mysql
php5-mysqli
php5-ncurses
php5-odbc
php5-openssl
php5-pcntl
php5-pdo
php5-pgsql
php5-posix
php5-pspell
php5-shmop
php5-snmp
php5-soap
php5-sockets
php5-sqlite
php5-sysvmsg
php5-sysvsem
php5-sysvshm
php5-tidy
php5-tokenizer
php5-wddx
php5-xmlrpc
php5-xsl
php5-xmlreader
php5-zlib
php5-dbx
php5-dio
php5-fam
php5-hash
php5-json
php5-pdo_mysql
php5-pdo_pgsql
php5-pdo_sqlite
php5-suhosin
php5-xmlwriter
php5-yp
php5-zip
Product(s): SLE SDK 10 SP1 for x86
SLE SDK 10 SP1 for IPF
SLE SDK 10 SP1 for IBM iSeries and IBM pSeries
SLE SDK 10 SP1 for IBM zSeries
SLE SDK 10 SP1 for X86-64
SUSE Linux Enterprise Server 10 SP1 for x86
SUSE Linux Enterprise Server 10 SP1 for IPF
SUSE Linux Enterprise Server 10 SP1 for IBM POWER
SUSE Linux Enterprise Server 10 SP1 for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP1 for AMD64 and Intel EM64T
Zypp-Patch-Number: 3754
Release: 20070625
Obsoletes: none

Indications

Everyone using php5 should install this update.

Contraindications

None.

Problem description

The following issues have been fixed:
  • missing open_basedir and safe_mode restriction (CVE-2007-3007)
  • chunk_split() integer overflow (CVE-2007-2872)
  • DoS condition in libgd's image processing (CVE-2007-2756)
  • possible super-global overwrite inside import_request_variables() (CVE-2007-1396)
  • buffer overflow inside user_filter_factory_create() (CVE-2007-2511)
  • remotely trigger-able buffer overflow inside bundled libxmlrpc (CVE-2007-1864)
  • CRLF injection inside ftp_putcmd() (CVE-2007-2509)
  • remotely trigger-able buffer overflow inside make_http_soap_request() (CVE-2007-2510)
  • MOPB-41-2007:PHP 5 sqlite_udf_decode_binary() Buffer Overflow Vulnerability (CVE-2007-0906)
  • MOPB-03-2007: deep recursion DoS (CVE-2007-1285)

Solution

Please install the updates provided at the location noted below.

Installation notes

This update is provided as an RPM package that can easily be installed onto a running system by using this command:
rpm -Fvh php5.rpm php5-devel.rpm php5-pear.rpm apache2-mod_php5.rpm php5-fastcgi.rpm php5-bcmath.rpm php5-bz2.rpm php5-calendar.rpm php5-ctype.rpm php5-curl.rpm php5-dba.rpm php5-dbase.rpm php5-dom.rpm php5-exif.rpm php5-filepro.rpm php5-ftp.rpm php5-gd.rpm php5-gettext.rpm php5-gmp.rpm php5-iconv.rpm php5-imap.rpm php5-ldap.rpm php5-mbstring.rpm php5-mcrypt.rpm php5-mhash.rpm php5-mysql.rpm php5-mysqli.rpm php5-ncurses.rpm php5-odbc.rpm php5-openssl.rpm php5-pcntl.rpm php5-pdo.rpm php5-pgsql.rpm php5-posix.rpm php5-pspell.rpm php5-shmop.rpm php5-snmp.rpm php5-soap.rpm php5-sockets.rpm php5-sqlite.rpm php5-sysvmsg.rpm php5-sysvsem.rpm php5-sysvshm.rpm php5-tidy.rpm php5-tokenizer.rpm php5-wddx.rpm php5-xmlrpc.rpm php5-xsl.rpm php5-xmlreader.rpm php5-zlib.rpm php5-dbx.rpm php5-dio.rpm php5-fam.rpm php5-hash.rpm php5-json.rpm php5-pdo_mysql.rpm php5-pdo_pgsql.rpm php5-pdo_sqlite.rpm php5-suhosin.rpm php5-xmlwriter.rpm php5-yp.rpm php5-zip.rpm

links to download packages

Download Source Packages

Download the source code of the patches for maintained products.


Disclaimer

The Origin of this information may be internal or external to Novell. Novell makes all reasonable efforts to verify this information. However, the information provided in this document is for your information only. Novell makes no explicit or implied claims to the validity of this information.

Any trademarks referenced in this document are the property of their respective owners. Consult your product manuals for complete trademark information.

© Micro Focus